barcode 1.16.1

Dart native js
Flutter Android iOS web

Barcode generation library for Dart that can generate generic drawing operations for any backend.

Changelog #

1.16.1 #

  • Fix GS1-128 barcode

1.16.0 #

  • Add textPadding parameter
  • Update dependencies

1.15.0 #

  • Add more options to codabar to specify the start and stop chars
  • Improve documentation

1.14.0 #

  • Allow Uint8List data barcodes
  • Improve ITF barcode
  • Add more unit tests

1.13.0 #

  • Add Interleaved 2 of 5 (ITF) Barcode

1.12.0 #

  • Add support for FNCx to GS1-128 and Code-128

1.11.1 #

  • Improve 2d barcode verifications

1.11.0 #

  • Fix font height error if not specified
  • Implement RM4SCC Barcode

1.10.0 #

  • Improve UPC-E barcode

1.9.1 #

  • Fix issue with web build

1.9.0 #

  • Add Aztec
  • Add MeCard generator
  • Use BarcodeException for all errors

1.8.0 #

  • Add Codabar
  • Add PDF417
  • Add Data Matrix

1.7.0 #

  • Add QR-Code

1.6.0 #

  • Add Telepen

1.5.0 #

  • Reorganize the library
  • Add EAN 2
  • Add EAN 5
  • Add GS1-128 support
  • Add ITF-14

1.4.0 #

  • Implement proper EAN-13 rendering
  • Implement proper UPC-A rendering
  • Implement proper UPC-E rendering
  • Implement proper EAN-8 rendering
  • Implement proper ISBN rendering

1.3.0 #

  • Add text align property
  • Add a SVG drawing function

1.2.0 #

  • Add a method to check Barcode validity
  • Add CODE 128 A
  • Add CODE 128 C
  • Add misc functions to Barcode

1.1.2 #

  • Update README

1.1.1 #

  • Fix URLs

1.1.0 #

  • Add EAN13
  • Add EAN8
  • Add ISBN
  • Add UPC-A
  • Add UPC-E
  • Fix Code 93

1.0.0 #

Breaking change: different API

  • Supports text output
  • Add CODE 93
  • Add CODE 128 B
  • Add documentation

0.1.0 #

  • Initial release, only CODE 39 support for now
34
likes
110
pub points
97%
popularity

Publisher

nfet.net

Barcode generation library for Dart that can generate generic drawing operations for any backend.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

Apache 2.0 (LICENSE)

Dependencies

meta, qr

More

Packages that depend on barcode